Subject: RE: File Completion doesn't work for absolute path?
From: "Weichang Yang" <[email-masked]>
To: "Andrew Markebo" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 11 May 2001 18:39:00 -0400

Thanks Andy.

But I'm a bit confused here. Quoted from the FAQ:

"There is some ambiguity in going from a Windows path to the posix path,
because different posix paths, through different mount points, could map to
the same Windows directory"

It doesn't answer my question. The ambiguity lie in choosing a Posix
mounting point(e.g. /cygdrive/d vs. //d). But the fact is, "d:" is already a
Win32 mounting point(under Win2k, try "mountvol")! If bash acknowledge this,
there will be no ambiguity in searching for sub paths. After all, bash is
just doing file completion for convenience purpose. I don't see how
textmode/binmode get in the way.

-wyang

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Andrew Markebo
Sent: Friday, May 11, 2001 5:35 PM
To: Weichang Yang
Cc: [email-masked]
Subject: Re: File Completion doesn't work for absolute path?

/ Andrew Markebo <[email-masked]> wrote:
| [...]
| FAQ http://www.cygwin.com/faq/faq_4.html#SEC33

*sigh* of course I mean
        http://www.cygwin.com/faq/faq_4.html#SEC45

not section 33..

        /Andy

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple